summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_openwrt.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-07-19 00:28:02 +0200
committerHolger Levsen <holger@layer-acht.org>2015-07-19 00:28:02 +0200
commitffd41758d34e38dd32573aa2e56b3762f48a66b1 (patch)
tree4d550d7dc8f604bf7b39c7ab34df02458b2957d3 /bin/reproducible_openwrt.sh
parentb335b5ad1b0aaf6426573e03640d422a3debf5c3 (diff)
downloadjenkins.debian.net-ffd41758d34e38dd32573aa2e56b3762f48a66b1.tar.xz
Revert "reproducible openwrt: build all packages and simplify building"
This reverts commit f6395b3c06146889e3c5dd8b7cd026fa0d85729a.
Diffstat (limited to 'bin/reproducible_openwrt.sh')
-rwxr-xr-xbin/reproducible_openwrt.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index b51f3cc1..bdd4f594 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -47,7 +47,6 @@ openwrt_config() {
CONFIG=$1
printf "$CONFIG" > .config
- printf "CONFIG_ALL=y" >> .config
make defconfig
}
@@ -72,7 +71,17 @@ openwrt_build() {
echo "$(date -u) - Building OpenWrt ${OPENWRT_VERSION} ($TARGET) - $RUN build run."
echo "============================================================================="
ionice -c 3 nice \
- $MAKE -j $NUM_CPU IGNORE_ERRORS=1
+ $MAKE -j $NUM_CPU target/compile
+ ionice -c 3 nice \
+ $MAKE -j $NUM_CPU package/cleanup
+ ionice -c 3 nice \
+ $MAKE -j $NUM_CPU package/compile || true # don't let some packages fail the whole build
+ ionice -c 3 nice \
+ $MAKE -j $NUM_CPU package/install
+ ionice -c 3 nice \
+ $MAKE -j $NUM_CPU target/install
+ ionice -c 3 nice \
+ $MAKE -j $NUM_CPU package/index
}
openwrt_cleanup() {